Bug Hunting Session
Bug 50446 - Incorrect Microsoft Equation object shown in LibreOffice
Summary: Incorrect Microsoft Equation object shown in LibreOffice
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2012-05-28 22:25 UTC by Timon
Modified: 2017-12-12 10:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example 6.docx - original file with MS Equation object, *.jpg - how document looks like in MS Office, Apache OpenOffice and LibreOffice (156.22 KB, application/x-zip-compressed)
2012-05-28 22:25 UTC, Timon
Details
Confirmed for L0 4.0.0.0b1, no crash, but looks different on Win7 64bit Polish (4.40 KB, image/png)
2012-12-15 12:04 UTC, VX
Details
How document looks in LibreOffice 4.4.0.3 (61.62 KB, image/jpeg)
2015-02-20 06:27 UTC, Timon
Details
How document looks in LibreOfficeDev 5.0.0 Beta 1 (45.67 KB, application/pdf)
2015-05-26 13:16 UTC, Timon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timon 2012-05-28 22:25:57 UTC
Created attachment 62190 [details]
Example 6.docx - original file with MS Equation object, *.jpg - how document looks like in MS Office, Apache OpenOffice and LibreOffice

LibreOffice 3.5.3.2 (Final) Russian UI/Locale
Build-ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
on Russian Windows XP Professional SP3 (32bit)

In LibreOffice 3.5.3 (Final) Microsoft Equation object in document is shown, but incorrectly.

In other office suites:
- MS Office 2007 SP3 (all fine)
- Apache OpenOffice 3.4.0 (Final) (no object at all)
Comment 1 ydutrieux 2012-12-15 10:54:24 UTC
I can confirm this bug on libo 3.6.1 and 3.6.4 (Ubuntu 64bits)
In libo4.0b1, the docx document generate a CRASH.
Comment 2 VX 2012-12-15 12:04:15 UTC
Created attachment 71545 [details]
Confirmed for L0 4.0.0.0b1, no crash, but looks different on Win7 64bit Polish

I can open the attached document in LO Writter 4.0.0.0 beta 1 with NO crash, but the result looks different on Windows 7 64 bit Polish UI than at the screenshot attached before.
Comment 3 Jean-Baptiste Faure 2012-12-15 22:58:46 UTC
I reproduce the crash on LO 4.0beta1+ and LO 4.0beta1 under Ubuntu 12.04 x86_64
Version 4.0.0.0.beta1+ (Build ID: 2988f4bbc9c381e91a372a6aad5d0334d713438)
Version 4.0.0.0.beta1 (Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7)
Comment 4 Timon 2013-01-14 06:49:14 UTC
No crash in LibO Version 4.0.0.1 (Build ID: 527dba6f6e0cfbbc71bd6e7b88a52699bb48799) under Windows XP SP3 Russian, but still no improvements compared to LibO 3.5.3.2 (object is still shown incorrectly).
Comment 5 QA Administrators 2015-02-19 15:43:32 UTC Comment hidden (obsolete)
Comment 6 Timon 2015-02-20 06:27:06 UTC
Created attachment 113538 [details]
How document looks in LibreOffice 4.4.0.3

Significant improvements in LibreOffice Version: 4.4.0.3 Build ID: de093506bcdc5fafd9023ee680b8c60e3e0645d7 Locale: ru_RU, but still not all problems were fixed (instead of the "equal" ideograph in formula we see something similar to a rotated Enter ideograph)
Comment 7 Jean-Baptiste Faure 2015-02-21 09:58:28 UTC
It would be interesting to see how the docx would be imported by LibreOffice if it was saved in valid OOXML format by an up-to-date version of MS-Word.

Best regards. JBF
Comment 8 Timon 2015-05-26 13:16:23 UTC
Created attachment 116051 [details]
How document looks in LibreOfficeDev 5.0.0 Beta 1

LibreOffice Version: 5.0.0.0.beta1 Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3 Locale: ru-RU (ru_RU), still not all problems were fixed (now instead of the "equal" ideograph in formula we see something similar to a big dot)
Comment 9 QA Administrators 2016-09-20 09:46:32 UTC Comment hidden (obsolete)
Comment 10 Timon 2016-09-20 10:10:07 UTC
Bug is still reproducible with LibreOffice Version: 5.2.2.1
Build ID: 3c2231d4aa4c68281f28ad35a100c092cff84f5d
CPU Threads: 2; OS Version: Windows 5.1; UI Render: default; 
Locale: ru-RU (ru_RU); Calc: group

Everything is absolutely the same as was in LibreOffice Version: 5.0.0.0.beta1 Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3 (now instead of the "equal" ideograph in formula we see something similar to a big dot)
Comment 11 QA Administrators 2017-12-11 08:54:31 UTC Comment hidden (obsolete)
Comment 12 Timon 2017-12-12 10:22:30 UTC
Version: 5.4.4.1
Build ID: da790616461e15a10c95a80eb8ef8ee7b726c114
CPU threads: 1; OS: Windows 6.29; UI render: default; 
Locale: ru-RU (ru_RU); Calc: group